
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_outstock_lock")]
    public class WcsOutstockLock
    {

        [Key]
        [Column("objid")]
        public long objid { get; set; }

        /// <summary>
        /// wms申请单id
        /// </summary>
        [Column("wms_order_id")]
        public long? wmsOrderId { get; set; }

        /// <summary>
        /// wms申请单子表id
        /// </summary>
        [Column("wms_order_detail_id")]
        public long? wmsOrderDetailId { get; set; }

        /// <summary>
        /// 任务id
        /// </summary>
        [Column("task_id")]
        public long? taskId { get; set; }

        /// <summary>
        /// 单据类型(1 入库 2 出库 3 移库)
        /// </summary>
        [Column("order_type")]
        public int? orderType { get; set; }

        /// <summary>
        /// 物料id
        /// </summary>
        [Column("material_id")]
        public long? materialId { get; set; }

        /// <summary>
        /// 仓库id
        /// </summary>
        [Column("warehouse_id")]
        public long? warehouseId { get; set; }

        /// <summary>
        /// 料箱编号
        /// </summary>
        [Column("box_no")]
        public string boxNo { get; set; }

        /// <summary>
        /// 料箱状态
        /// </summary>
        [Column("box_status")]
        public int? boxStatus { get; set; }

        /// <summary>
        /// 所属楼层
        /// </summary>
        [Column("floor_num")]
        public int? floorNum { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Column("qty")]
        public decimal? qty { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("use_flag")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备用字段1
        /// </summary>
        [Column("ud1")]
        public string ud1 { get; set; }

        /// <summary>
        /// 备用字段2
        /// </summary>
        [Column("ud2")]
        public string ud2 { get; set; }

        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("ud3")]
        public string ud3 { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("REMARK")]
        public string remark { get; set; }
    }
}

